## com.thingmagic
Class Gen2.LockBits

    java.lang.Object
      com.thingmagic.Gen2.LockBits

Enclosing class:
  Gen2

    public class Gen2.LockBits

extends java.lang.Object

Individual Gen2 lock bits.

Field Summary
`static int` `ACCESS`
`static int` `ACCESS_PERM`
`static int` `EPC`
`static int` `EPC_PERM`
`static int` `KILL`
`static int` `KILL_PERM`
`static int` `TID`
`static int` `TID_PERM`
`static int` `USER`
`static int` `USER_PERM`

Constructor Summary
`Gen2.LockBits()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_PERM

    public static final int USER_PERM

See Also:
  Constant Field Values

### USER

    public static final int USER

See Also:
  Constant Field Values

### TID_PERM

    public static final int TID_PERM

See Also:
  Constant Field Values

### TID

    public static final int TID

See Also:
  Constant Field Values

### EPC_PERM

    public static final int EPC_PERM

See Also:
  Constant Field Values

### EPC

    public static final int EPC

See Also:
  Constant Field Values

### ACCESS_PERM

    public static final int ACCESS_PERM

See Also:
  Constant Field Values

### ACCESS

    public static final int ACCESS

See Also:
  Constant Field Values

### KILL_PERM

    public static final int KILL_PERM

See Also:
  Constant Field Values

### KILL

    public static final int KILL

See Also:
  Constant Field Values

Constructor Detail

### Gen2.LockBits

    public Gen2.LockBits()